summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2013-06-30 10:52:44 +0000
committerPacho Ramos <pacho@gentoo.org>2013-06-30 10:52:44 +0000
commit6e97bcd11c6f08a94ca9df6b6c043bae715d460c (patch)
tree6f58e30cf756ffaa1187bb423970da1e3088ae77 /eclass
parentmedia-video/nvidia-settings: Version BUmp (diff)
downloadgentoo-2-6e97bcd11c6f08a94ca9df6b6c043bae715d460c.tar.gz
gentoo-2-6e97bcd11c6f08a94ca9df6b6c043bae715d460c.tar.bz2
gentoo-2-6e97bcd11c6f08a94ca9df6b6c043bae715d460c.zip
Add eclass to be used by all now splitted gnome-games
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/gnome-games.eclass116
2 files changed, 120 insertions, 1 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 82acd336f131..f58c55ebb4f8 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.867 2013/06/29 08:17:06 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.868 2013/06/30 10:52:44 pacho Exp $
+
+ 30 Jun 2013; Pacho Ramos <pacho@gentoo.org> +gnome-games.eclass:
+ Add eclass to be used by all now splitted gnome-games
29 Jun 2013; Michał Górny <mgorny@gentoo.org> autotools-utils.eclass:
Respect arguments when checking for test targets. This becomes helpful if one
diff --git a/eclass/gnome-games.eclass b/eclass/gnome-games.eclass
new file mode 100644
index 000000000000..3aeb01089bcb
--- /dev/null
+++ b/eclass/gnome-games.eclass
@@ -0,0 +1,116 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome-games.eclass,v 1.1 2013/06/30 10:52:44 pacho Exp $
+
+# @ECLASS: gnome-games
+# @MAINTAINER:
+# Gnome team <gnome@gentoo.org>
+# @AUTHOR:
+# Author: Pacho Ramos <pacho@gentoo.org>
+# @BLURB: An eclass to build gnome-games.
+# @DESCRIPTION:
+# An eclass to build gnome-games using proper phases from gnome2 and
+# games eclasses.
+
+case "${EAPI:-0}" in
+ 0|1)
+ die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
+ ;;
+ 2|3|4|5)
+ ;;
+ *)
+ die "Unsupported EAPI=${EAPI} (unknown) for ${ECLASS}"
+ ;;
+esac
+
+inherit autotools games gnome2
+
+EXPORT_FUNCTIONS pkg_setup src_prepare src_configure src_compile src_install pkg_preinst pkg_postinst pkg_postrm
+
+if [[ ! ${_GNOME_GAMES} ]]; then
+
+DEPEND=">=dev-util/intltool-0.50.2-r1"
+RDEPEND="!gnome-extra/gnome-games"
+
+# @FUNCTION: gnome-games_pkg_setup
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_setup() {
+ debug-print-function ${FUNCNAME} "${@}"
+ games_pkg_setup
+}
+
+# @FUNCTION: gnome-games_src_prepare
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_prepare() {
+ debug-print-function ${FUNCNAME} "${@}"
+
+ # Fix intltoolize broken file:
+ # https://bugs.launchpad.net/intltool/+bug/398571
+ intltoolize --force --copy --automake || die "intltoolize failed"
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+# @FUNCTION: gnome-games_src_configure
+# @DESCRIPTION:
+# Set proper phase defaults, relying on gnome2_src_configure
+# and passing extra arguments from egamesconf (games.eclass)
+gnome-games_src_configure() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_configure \
+ --prefix="${GAMES_PREFIX}" \
+ --libdir="$(games_get_libdir)" \
+ --sysconfdir="${GAMES_SYSCONFDIR}" \
+ --localstatedir=/var \
+ --localedir=/usr/share/locale \
+ "$@"
+}
+
+# @FUNCTION: gnome-games_src_compile
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_compile() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_compile
+}
+
+# @FUNCTION: gnome-games_src_install
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_install() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_install
+ prepgamesdirs
+}
+
+# @FUNCTION: gnome-games_pkg_preinst
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_preinst() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_preinst
+ games_pkg_preinst
+}
+
+# @FUNCTION: gnome-games_pkg_preinst
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_postinst() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_postinst
+ games_pkg_postinst
+}
+
+# @FUNCTION: gnome-games_pkg_postrm
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_postrm() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_postrm
+}
+
+_GNOME_GAMES=1
+fi